import React from 'react';
import { connect } from 'react-redux';
import { Field, reduxForm } from 'redux-form';

import formInput from '../../../common/formInput';

class ChangeLoginForm extends React.Component {

    render() {
        // const { children, handleSubmit, handlers: { handleClick, submit } } = this.props;
        return (
            <form  >
                <Field name="login" type="email" placeholder="Enter new login" component={formInput} />
                <button
                    type="button" className="link link--btn right" >
                    Change
                </button>
            </form >
        )
    }
}

export default reduxForm({
    form: "changeLoginForm",
})(ChangeLoginForm);