import React, { Fragment } from 'react';

export default ({ input, className, placeholder, type, meta: { touched, error } }) => (
    <Fragment>
        <input className={className} placeholder={placeholder} type={type} {...input} />
        {touched && (error && <p className="text-af pt-2 text-uppercase">⚠ {error}</p>)}
    </Fragment>
)